Name:		yum-conf-visual-studio-code
Version:	1.0
Release:	1%{?dist}
Summary:	yum repo files for Microsoft Visual Studio Code

Group:		System Environment/Libraries
License:	GPL
URL:		https://code.visualstudio.com

%define debug_package %{nil}

BuildRequires:	bash sed coreutils
BuildArch:	noarch

Requires:	yum
Requires:	system-release >= 7

%description
Yum repository config file that point to the Microsoft Visual Studio Code
rpm repo.


%prep

%install
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d/

echo "Building yum repos"

cat > $RPM_BUILD_ROOT/etc/yum.repos.d/vscode.repo <<REPO
[vscode]
Name=Visual Studio Code
baseurl=https://packages.microsoft.com/yumrepos/vscode
enabled=1
gpgcheck=1
gpgkey=https://packages.microsoft.com/keys/microsoft.asc

REPO

chmod 644 $RPM_BUILD_ROOT/etc/yum.repos.d/*.repo


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%config(noreplace) /etc/yum.repos.d/*


%changelog
* Thu Jun 29 2017 Pat Riehecky <riehecky@fnal.gov> 1.0-1.el7
- Initial build

